package org.hso.texturesyncclient.view.startupView

import com.jfoenix.controls.JFXButton
import com.jfoenix.controls.JFXSpinner
import com.jfoenix.controls.JFXTextField
import javafx.geometry.Insets
import javafx.geometry.Pos
import javafx.scene.control.Label
import javafx.scene.input.KeyCode
import javafx.scene.layout.Background
import javafx.scene.layout.BackgroundFill
import javafx.scene.layout.CornerRadii
import javafx.scene.paint.Color
import tornadofx.*

class StartupView : View() {

    val labelStatus = Label("Verbinden")

    val spinnerStatus = JFXSpinner()

    val labelServerIP = Label("Server-IP")

    val tfServerIP = JFXTextField()

    val btnConnect = JFXButton("Manuell Verbinden")

   private  val svc: StartupViewController by inject()

    override val root = borderpane {

        center = vbox(50) {
            maxWidth = 150.0
            alignment = Pos.CENTER

            add(labelStatus)
            add(spinnerStatus)

            labelStatus.apply {
                this.background = Background(BackgroundFill(Color.YELLOWGREEN, CornerRadii.EMPTY, Insets.EMPTY))
            }

            spinnerStatus.isVisible = false

            vbox(10){
                alignment = Pos.CENTER

                add(labelServerIP)
                add(tfServerIP)
                add(btnConnect)

                btnConnect.apply { action { svc.btnConnectAction(tfServerIP.text)} }
                tfServerIP.setOnKeyPressed {
                    if (it.code == KeyCode.ENTER){
                        svc.btnConnectAction(tfServerIP.text)
                    }
                }
            }

        }

        style {
            minWidth = 900.px
            minHeight = 600.px
        }

    }


}