use crate::model::Texture;
use serde::{Deserialize, Serialize};
use std::fs;
use std::io;
use std::path::Path;

#[derive(Deserialize, Serialize)]
struct CollectionFile {
    textures: Vec<Texture>,
}

pub fn load_collection_file(path: &Path) -> io::Result<Vec<Texture>> {
    let file = fs::File::open(path)?;
    let buf_reader = io::BufReader::new(file);

    let collection: CollectionFile = serde_json::from_reader(buf_reader)?;
    Ok(collection.textures)
}
